> For the complete documentation index, see [llms.txt](https://docs.scanner.dev/scanner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/developer-tools/api/info.md).

# Info Queries

Info API endpoints are endpoints that yield information about Scanner such as metrics or configuration values. You can read Info with the Scanner API.

## Query capacity

<mark style="color:blue;">**`GET`**</mark> `/v1/info/get_query_capacity`

Retrieve query capacity metrics and configuration

**Query parameters**

| Name                                                 | Type   | Description                                                                       |
| ---------------------------------------------------- | ------ | --------------------------------------------------------------------------------- |
| `tenant_id` <mark style="color:red;">required</mark> | string | Unique identifier for the tenant. This is labeled **Team ID** in the Scanner app. |

**Example**

```bash
curl -G $API_BASE/v1/info/get_query_capacity \
--data-urlencode "tenant_id=00000000-0000-0000-0000-000000000001" \
-H "Authorization: Bearer $SCANNER_API_KEY" \
-H "Content-Type: application/json"
```

**Response**

Returns query capacity usage and configuration values for the given tenant for the current calendar month.

| Name                                             | Type   | Description                                                                       |
| ------------------------------------------------ | ------ | --------------------------------------------------------------------------------- |
| `this_month_used_query_capacity_gb`              | number | The amount of query capacity used this month.                                     |
| `this_month_provisioned_query_capacity_gb`       | number | The amount of query capacity provisioned for this month.                          |
| `this_month_on_demand_query_capacity_gb`         | number | The amount of query capacity used this month that is over the provisioned amount. |
| `number_of_days_this_month`                      | number | The number of days in this month.                                                 |
| `contract_provisioned_query_capacity_gb_per_day` | number | The amount of query capacity provisioned per day according to the contract.       |

```json
{
  "this_month_used_query_capacity_gb": 0.0,
  "this_month_provisioned_query_capacity_gb": 0.0,
  "this_month_on_demand_query_capacity_gb": 0.0,
  "number_of_days_this_month": 31,
  "contract_provisioned_query_capacity_gb_per_day": 0.0
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/developer-tools/api/info.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
